kr.co.hanwha.hifive.screen.alarm

## Class AlarmPresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.alarm.AlarmPresenter

All Implemented Interfaces:
  BasePresenter, AlarmContract.Presenter

    public class AlarmPresenter
    extends java.lang.Object
    implements AlarmContract.Presenter

알림 내역(목록) Presenter

See Also:
  `AlarmActivity`, `Created by sanghoonkwon on 2018. 1. 22..`

### Field Summary

Fields
`private boolean` `isLoading`
`private AlarmListContract.Model` `mAdapterModel`
`private AlarmListContract.View` `mAdapterView`
`private int` `mCurrentPage`
`private int` `mFianlPage`
`private java.util.ArrayList<AlarmData>` `mListData`
`private AlarmContract.View` `mView`

### Constructor Summary

Constructors
Constructor and Description
`AlarmPresenter(AlarmContract.View view, AlarmListContract.View adapterView, AlarmListContract.Model adapterModel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `detachView()`
`android.content.Context` `getContext()`
`void` `initData(boolean needLoading)` Initialize data
`private boolean` `isMoreData()`
`void` `loadData(boolean needLoading)` Load more
`void` `loadMore()` ...
`void` `setNotificationOpen(int index, AlarmData data)` Set Notification Status

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mView

    private AlarmContract.View mView

#### mAdapterView

    private AlarmListContract.View mAdapterView

#### mAdapterModel

    private AlarmListContract.Model mAdapterModel

#### mCurrentPage

    private int mCurrentPage

#### mFianlPage

    private int mFianlPage

#### isLoading

    private boolean isLoading

#### mListData

    private java.util.ArrayList<AlarmData> mListData

### Constructor Detail

#### AlarmPresenter

    public AlarmPresenter(@NonNull
                          AlarmContract.View view,
                          @NonNull
                          AlarmListContract.View adapterView,
                          @NonNull
                          AlarmListContract.Model adapterModel)

### Method Detail

#### detachView

    public void detachView()

Specified by:
  `detachView` in interface `BasePresenter`

#### getContext

    public android.content.Context getContext()

Specified by:
  `getContext` in interface `BasePresenter`

#### initData

    public void initData(boolean needLoading)

Description copied from interface: `AlarmContract.Presenter`
Initialize data

Specified by:
  `initData` in interface `AlarmContract.Presenter`

#### loadData

    public void loadData(boolean needLoading)

Description copied from interface: `AlarmContract.Presenter`
Load more

Specified by:
  `loadData` in interface `AlarmContract.Presenter`

#### loadMore

    public void loadMore()

Description copied from interface: `AlarmContract.Presenter`
...

Specified by:
  `loadMore` in interface `AlarmContract.Presenter`

#### setNotificationOpen

    public void setNotificationOpen(@NonNull
                                    int index,
                                    @NonNull
                                    AlarmData data)

Description copied from interface: `AlarmContract.Presenter`
Set Notification Status

Specified by:
  `setNotificationOpen` in interface `AlarmContract.Presenter`

#### isMoreData

    private boolean isMoreData()